//+------------------------------------------------------------------+
//|                                          3SMAS Signals v0.1 .mq4 |
//|                                  Copyright  2006, Forex-TSD.com |
//|                                                Written by nnjeim |   
//|                                                                  |                                      
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Forex-TSD.com "
#property link      "http://www.forex-tsd.com/"

//----------Changed inputs in this indicator for SMA  ~brazenmichael/~michael

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

//---- input parameters

extern int LSMA=600;
extern int MSMA=200;
extern int SSMA=50;

extern int ArrowShift=5;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,233);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,234);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit,i;
   int counted_bars=IndicatorCounted();
   if (counted_bars<0) return(-1);
   if (counted_bars>0) counted_bars--;
   limit=Bars-1;
   if(counted_bars>=1) limit=Bars-counted_bars-1;
   if (limit<0) limit=0;
   
   
   double curlsma=0.0,prevlsma=0.0,curmsma=0.0,prevmsma=0.0,curssma=0.0,prevssma=0.0;
   for (i=limit;i>=0;i--)
      {
      curlsma=Close[i]-iMA(NULL,0,LSMA,0,MODE_SMA,PRICE_TYPICAL,i);
      prevlsma=Close[i]-iMA(NULL,0,LSMA,0,MODE_SMA,PRICE_TYPICAL,i+1);
      curmsma=Close[i]-iMA(NULL,0,MSMA,0,MODE_SMA,PRICE_TYPICAL,i);
      prevmsma=Close[i]-iMA(NULL,0,MSMA,0,MODE_SMA,PRICE_TYPICAL,i+1);
      curssma=Close[i]-iMA(NULL,0,SSMA,0,MODE_SMA,PRICE_TYPICAL,i);
      prevssma=Close[i]-iMA(NULL,0,SSMA,0,MODE_SMA,PRICE_TYPICAL,i+1);

      
      
      ExtMapBuffer1[i]=0;
      ExtMapBuffer2[i]=0;
     { 
      if ((curlsma>curmsma) && (prevlsma<prevmsma) &&(curmsma>curssma)) ExtMapBuffer1[i]=Open[i]-ArrowShift*Point;
      if ((curlsma<curmsma) && (prevlsma>prevmsma) && (curmsma<curssma)) ExtMapBuffer2[i]=Open[i]+ArrowShift*Point;
      }
      }
   return(0);
  }
      
//+------------------------------------------------------------------+